Skip to main content
GET
/
lucca-api
/
employee-attributes
/
{id}
Retrieve an employee-attribute
curl --request GET \
  --url https://{host}/lucca-api/employee-attributes/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "34879",
  "type": "employee-attribute",
  "url": "https://example.ilucca.net/lucca-api/employee-attribute/34879",
  "definition": {
    "id": "givenName",
    "type": "employee-attribute-definition",
    "url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions/givenName"
  },
  "employee": {
    "id": "416",
    "type": "employee",
    "url": "https://example.ilucca.net/lucca-api/employees/416"
  },
  "applicability": null,
  "value": "John",
  "createdAt": "2014-04-12T09:43:52.432Z",
  "lastUpdatedAt": "2014-04-12T09:43:52.432Z",
  "links": {}
}
OAuth 2.0 scopes
 employee-attributes.readonly
or
 employee-attributes.readwrite

EstablishmentsThis API endpoint will filter out results based on accessible business-establishments.You may only access employee-attributes of employees whose applicable business-establishments are accessible to you.
ClaimsThis API endpoint will filter out results based on accessible claims.Each employee-attribute is associated with specific an employee directory “section”. You may only access employee-attributes attached to sections that are accessible to you.

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the employee-attribute.

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

An employee-attribute resource.

id
string
Minimum string length: 1
type
string
Allowed value: "employee-attribute"
url
string<uri>
definition
employee-attribute-definition-reference · object
employee
employee-reference · object

Reference to an employee resource.

employment
employment · object

The employment resource represents a relationship between an employee and a legal-entity over a continuous period. It may actually represent a work contract, an internship agreement, a contractor's contract, etc...

The actual job of the employee is defined through the job-position resource, which references an employment. Over the course of his/her employment, the employee may occupy several job-positions.

Example:
{
"id": "4561",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/4561",
"remoteId": "EMPLOYMENT#4512-ac",
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"legalEntity": {
"id": "123",
"type": "legal-entity",
"url": "https://example.ilucca.net/lucca-api/legal-entities/123"
},
"status": "active",
"start": { "date": "2024-01-01" },
"end": null,
"document": {
"id": "74411",
"type": "file",
"url": "https://example.ilucca.net/lucca-api/files/74411"
},
"template": {
"id": "4",
"type": "employment-template",
"url": "https://example.ilucca.net/lucca-api/employment-templates/4"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {
"jobPositions": {
"href": "https://example.ilucca.net/lucca-api/job-positions?employment.id=4561"
},
"probationaryPeriods": {
"href": "https://example.ilucca.net/lucca-api/probationary-periods?employment.id=4561"
}
}
}
jobPosition
job-position · object

The job position represents a stage in an employee's career during one of their employment in a given business-establishment.

It therefore outlines the attributes of the person as a professional (qualifications) and their role in the company as well as who's their manager.

Example:
{
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74",
"remoteId": null,
"employment": {
"id": "28",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/28"
},
"employee": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416"
},
"status": "active",
"startsOn": "2024-01-01",
"endsOn": null,
"businessEstablishment": {
"id": "5",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/5"
},
"jobTitle": "Developer",
"jobQualification": {
"id": "982",
"type": "job-qualification",
"url": "https://example.ilucca.net/lucca-api/job-qualifications/982"
},
"manager": {
"id": "541",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/541"
},
"occupationCategory": {
"id": "12",
"type": "occupation-category",
"url": "https://example.ilucca.net/lucca-api/occupation-categories/12"
},
"workingTimeArrangement": {
"id": "23",
"type": "working-time-arrangement",
"url": "about:blank"
},
"department": {
"id": "32",
"type": "department",
"url": "https://example.ilucca.net/lucca-api/departments/32"
},
"document": null,
"notes": null,
"t9n": { "jobTitle": { "fr-FR": "Développeur" } },
"updatedAttributes": ["jobTitle", "jobQualification"],
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z",
"links": {}
}
applicability
object

The time window during which this attribute value applies to the employee.

When the attribute comes from a time-bounded resource (e.g. employment, job-position), then its applicability is directly dependent on the target resource start and end.

start: null must be interpreted as "since the beginning of time", and end: null as "until the end of time".

If the attribute has no temporal dimension (e.g. employee.givenName, custom extensions), both the start and end are null. It must be interpreted as "applies indefinitely".

The applicability.asOf query parameter can be used to filter by date.

value
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object

No embedded resources on a employee-attribute(s) response. Expect an empty object if embedded are requested.